/* Map */

div#map-container {
  clear: both;
  position: relative;
}

div#map-container > * {
  float: left;
}

/* max-width == --text-max-width + 2rem */
@media all and (max-width: 52rem) {
  div#map-container > * {
    float: initial;
  }
}

div#map-info {
  background-color: white;
  width: calc(215px + 1rem);
}

/* max-width == --text-max-width + 2rem */
@media all and (max-width: 52rem) {
  div#map-info {
    width: auto;
    max-width: 28rem;
    padding: 1rem;
    position: absolute;
    top: -6rem;
    left: 0;
    right: 0;
    margin: auto;
  }
}

div#map-info h2 {
  margin-top: 0;
}

div.reps div {
  border-radius: 1rem;
  background-color: var(--green);
  cursor: pointer;
}

div.reps div.active {
  background-color: var(--yellow);
}

div.reps img {
  margin: 0 auto;
  width: var(--gallery-item-size);
  height: var(--gallery-item-size);
  border-radius: 1rem;
}

div.reps h3 {
  margin: 0;
  padding: .5rem;
}

svg#ca_map {
  max-width: calc(var(--text-max-width) - 215px - 1rem) !important;
}

@media all and (max-width: 52rem) {
  svg#ca_map {
    margin-top: 6rem !important;
  }

  svg#ca_map > * > * {
	  transform: translateX(-9rem);
  }
}


g#names * {
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
  pointer-events: none;
}

path.territory {
  fill: var(--green);
  cursor: pointer;
}

path.territory.active {
  fill: var(--yellow);
}
